Subject: Re: PROBLEM: Linux 3.6.2 fails to boot on IBM Cell

From: Dennis Schridde <[email-masked]>
Date: Sun, 21 Apr 2013 14:31:49 +0200

Hello all of you!

Am Donnerstag, 15. November 2012, 17:58:35 schrieb Grant Likely:
> Umm, no. Some suggestions were made so I assumed you'd try those.
> 
> Anyway, here is a real patch. Try this:
> 
> -	for_each_node(node) {
> +	for_each_online_node(node) {

I am running my 3.8.6 kernel with your patch now (will this be merged anytime 
soon?), but I still get a bunch of irq mapping failed messages.

Examples:
[    0.490734] irq: irq-93==>hwirq-0x5d mapping failed: -22
[   22.016469] irq: no irq domain found for /axon@10000000000/plb5/pciex-
utl@a00000a000004000 !

Please see attached log.

In addition I see a weird issue: All programs run on CPU 0 (cores 0+1) only, 
while CPU 1 (cores 2+3) is always idle. Could this have anything to do with 
the IRQ issue, or shall I start a new thread/report for that?

Best regards,
Dennis